## autopkgtest 5.28

=== Makefile ===
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

prefix =	/usr
share =		$(DESTDIR)$(prefix)/share
bindir =	$(DESTDIR)$(prefix)/bin
man1dir =	$(share)/man/man1
pkgname =	autopkgtest
docdir =	$(share)/doc/$(pkgname)
datadir =	$(share)/$(pkgname)
pythondir = 	$(datadir)/lib

INSTALL =	install
INSTALL_DIRS =	$(INSTALL) -d
INSTALL_PROG =	$(INSTALL) -m 0755
INSTALL_DATA =	$(INSTALL) -m 0644

virts =		chroot \
		docker \
		lxc \
		lxd \
		null \
		qemu \
		schroot \
		ssh \
		unshare \
		$(NULL)

programs =	tools/autopkgtest-buildvm-ubuntu-cloud \
		tools/autopkgtest-build-docker \
		tools/autopkgtest-build-lxc \
		tools/autopkgtest-build-lxd \
		tools/autopkgtest-build-qemu \
		runner/autopkgtest \
		$(NULL)

pythonfiles =	lib/VirtSubproc.py \
		lib/adtlog.py \
		lib/autopkgtest_args.py \
		lib/autopkgtest_qemu.py \
		lib/adt_testbed.py \
		lib/adt_binaries.py \
		lib/testdesc.py \
		$(NULL)

rstfiles =	$(wildcard doc/*.rst)
htmlfiles =	$(patsubst %.rst,%.html,$(rstfiles))

%.html: %.rst
	rst2html -v $< > $@

all: $(htmlfiles)

install:
	$(INSTALL_DIRS) \
		$(bindir) \
		$(docdir) \
		$(man1dir) \
		$(pythondir) \
		$(datadir)/lib/in-testbed \
		$(datadir)/setup-commands \
		$(datadir)/ssh-setup \
		$(NULL)
	set -e; for f in $(programs); do \
		$(INSTALL_PROG) $$f $(bindir); \
		test ! -f $$f.1 || $(INSTALL_DATA) $$f.1 $(man1dir); \
		done
	set -e; for f in $(virts); do \
		$(INSTALL_PROG) virt/autopkgtest-virt-$$f $(bindir); \
		$(INSTALL_DATA) virt/autopkgtest-virt-$${f}.1 $(man1dir); \
		done
	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
	$(INSTALL_DATA) CREDITS $(docdir)
	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
	$(INSTALL_PROG) lib/in-testbed/*.sh $(datadir)/lib/in-testbed/
	$(INSTALL_PROG) lib/unshare-helper $(datadir)/lib/
	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup
	ln -fns autopkgtest-virt-docker $(bindir)/autopkgtest-virt-podman
	ln -fns autopkgtest-virt-docker.1 $(man1dir)/autopkgtest-virt-podman.1
	ln -fns autopkgtest-build-docker $(bindir)/autopkgtest-build-podman
	ln -fns autopkgtest-build-docker.1 $(man1dir)/autopkgtest-build-podman.1

clean:
	rm -f */*.pyc
	rm -f $(htmlfiles)

=== debian/changelog ===
autopkgtest (5.28) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * virt-unshare: use rbind to mount subtrees

  [ Christian Kastner ]
  * QEMU: Enable virtio-serial exactly once (Closes: #1003002)

  [ Paride Legovini ]
  * Pin pockets with Pin-Priority: 500

  [ Paul Gevers ]
  * virt/podmon: don't fail on stderr while stopping container

  [ Ryan Tandy ]
  * Fix qemu failing to boot raw base image (Closes: #1004226)

  [ Jelmer Vernooij ]
  * Print nicer error message when cleaning up schroot times out.

 -- Paul Gevers <elbrus@debian.org>  Mon, 30 Jan 2023 19:29:59 +0100

=== debian/control ===
Source: autopkgtest
Maintainer: Debian CI team <team+ci@tracker.debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
           Martin Pitt <mpitt@debian.org>,
           Antonio Terceiro <terceiro@debian.org>,
           Paul Gevers <elbrus@debian.org>,
           Simon McVittie <smcv@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               fakeroot,
               procps,
               pycodestyle | pep8,
               pyflakes3,
               python3 (>= 3.3),
               python3-debian,
               python3-docutils,
               python3-mock
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest

Package: autopkgtest
Architecture: all
Depends: apt-utils,
         libdpkg-perl,
         procps,
         python3,
         python3-debian,
         ${misc:Depends}
Recommends: autodep8,
            fakeroot,
Suggests: docker.io,
          fakemachine,
          lxc (>= 1:4.0.2-1~),
          lxd,
          ovmf,
          ovmf-ia32,
          python3-distro-info,
          qemu-efi-aarch64,
          qemu-efi-arm,
          qemu-system,
          qemu-utils,
          podman,
          schroot,
          util-linux (>= 2.38),
          vmdb2 (>= 0.22-1~),
          zerofree
Breaks: debci (<< 1.7~)
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.
 .
 See autopkgtest(1) and /usr/share/doc/autopkgtest.
 Depending on which virtualization server you want to use, you need to
 install additional packages (schroot, lxc, lxd, or qemu-system)
 .
 For generating tests of well-known source packages such as Perl and Ruby
 libraries you should install the autodep8 package.

=== tests/testpkg/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_missing:
	: # do nothing

=== debian/tests/control ===
Tests: autopkgtest
Depends: autodep8,
         autopkgtest,
         build-essential,
         debhelper (>= 13),
         fakeroot,
Restrictions: needs-sudo

Tests: installed
Depends: autopkgtest

Tests: docker
Depends: autodep8,
         autopkgtest,
         build-essential,
         ca-certificates,
         debhelper (>= 13),
         debootstrap,
         devscripts,
         docker.io,
         python3-distro-info,
         uidmap,
# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used, which reduces the chance of running
# out of disk space
Restrictions: allow-stderr,
              breaks-testbed,
              isolation-machine,
              needs-internet,
              needs-root,
              skippable,

Tests: lxc
Depends: autodep8,
         autopkgtest,
         build-essential,
         ca-certificates,
         debhelper (>= 13),
         debootstrap,
         devscripts,
         distro-info,
         fakeroot,
         libpam-cgfs,
         lxc,
         lxcfs,
         lxc-templates,
         rsync,
         uidmap,
Restrictions: allow-stderr,
              breaks-testbed,
              isolation-machine,
              needs-internet,
              needs-sudo,
              skippable,

# TODO: Run this with needs-sudo instead of needs-root to check that
# virt-lxd --sudo hasn't regressed?
Tests: lxd
Depends: adduser,
         autodep8,
         autopkgtest,
         build-essential,
         debhelper (>= 13),
         devscripts,
         distro-info,
         fakeroot,
         iptables,
         lxd,
Restrictions: allow-stderr,
              breaks-testbed,
              isolation-machine,
              needs-internet,
              needs-root,
              skip-not-installable,
              skippable,

Tests: podman podman-init
Depends: autodep8,
         autopkgtest,
         build-essential,
         buildah,
         ca-certificates,
         catatonit | tini | dumb-init,
         debhelper (>= 13),
         debootstrap,
         devscripts,
         golang-github-containernetworking-plugin-dnsname,
         podman,
         python3-distro-info,
         slirp4netns,
         uidmap,
# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used, which reduces the chance of running
# out of disk space
Restrictions: allow-stderr,
              breaks-testbed,
              isolation-machine,
              needs-internet,
              skippable,

# breaks-testbed is not strictly true, but we do make a change to
# /etc/hosts without reverting it. Declaring breaks-testbed also forces a
# new testbed to be used, as above
Tests: schroot
Depends: autodep8,
         autopkgtest,
         build-essential,
         debhelper (>= 13),
         debootstrap,
         devscripts,
         fakeroot,
         sbuild,
         schroot,
Restrictions: allow-stderr,
              breaks-testbed,
              needs-internet,
              needs-root,

## autopkgtest 5.28ubuntu0.22.10.0

=== debian/changelog ===
autopkgtest (5.28ubuntu0.22.10.0) kinetic; urgency=medium

  [ Paride Legovini ]
  * Backport version 5.28 of autopkgtest. (LP: #2015285)
  * Include patches for cross-arch testing and preventing --apt-pocket from
    setting the wrong default release.

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 04 Apr 2023 17:47:37 +0000

## autopkgtest 5.28ubuntu1

=== debian/changelog ===
autopkgtest (5.28ubuntu1) lunar; urgency=medium

  [ Paride Legovini ]
  * cross-arch testing
  * Prevent --apt-pocket from setting the wrong default release

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 14 Mar 2023 16:04:39 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,

## autopkgtest 5.29~bpo12+1

=== debian/changelog ===
autopkgtest (5.29~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 19 Jun 2023 20:37:51 -0300

autopkgtest (5.29) unstable; urgency=medium

  [ Brian Murray ]
  * Fix a typo

  [ Paride Legovini ]
  * Prevent --apt-pocket from setting the wrong default release
    (Closes: #1032314) (LP: #2009191)

  [ Antonio Terceiro ]
  * autopkgtest-virt-lxc: call timeout sudo instead of sudo timeout

  [ Helmut Grohne ]
  * autopkgtest-build-qemu: add --keyring argument
  * autopkgtest-build-lxc: add --keyring option for consistency with qemu
  * setup-testbed: check the testbed for init-availability
  * setup-testbed: reliably deny starting services

  [ Tim Andersson ]
  * Fix docker build command not returning 1 on failure, causing test to fail
    and not be marked as skippable when run behind a proxy
  * Add timestamps to logfile

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 14 Jun 2023 20:23:45 -0300

## autopkgtest 5.32~bpo12+1

=== debian/changelog ===
autopkgtest (5.32~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 11 Feb 2024 16:28:59 -0400

autopkgtest (5.32) unstable; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * d/t/schroot: better use of existing variables
  * d/t/schroot: allow running behind a proxy

  [ Simon McVittie ]
  * testarchive: Fix a pycodestyle warning
  * Standards-Version: 4.6.2 (no changes required)
  * qemu: Use 4M OVMF images if available

  [ Stefano Rivera ]
  * Testbed: Kill with SIGKILL if SIGTERM doesn't do the job in 10 seconds
    (Closes: #1059444)

  [ Paul Gevers ]
  * tests: increase sleep in test_timeout() for lxd test (Closes: #1020634)
  * autopkgtest-virt-qemu: raise time for command prompt return
  * virt-qemu: add context to several timeout errors

  [ Michael Biebl ]
  * Bump default ram-size for virt-qemu to 2048 (Closes: #1059840)

  [ Colin Watson ]
  * Add Incus support

  [ Santiago Ruano Rincón ]
  * Make autopkgtest-build-qemu pass mirror info to setup-testbed
    (Closes: #1060426)

  [ Paul Gevers ]
  * tests: increase --timeout-build to accommodate for riscv64
  * tests: mark podman-init autopkgtest flaky for now

 -- Paul Gevers <elbrus@debian.org>  Thu, 11 Jan 2024 14:06:22 +0100

autopkgtest (5.31.2) unstable; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * d/control: add genisoimage as suggested package.
    It's used in `autopkgtest-buildvm-ubuntu-cloud`.

  [ Paul Gevers ]
  * autopkgtest-build-qemu: drop use of qemu-debootstrap.
    This is not needed in Debian 11 or newer. (Closes: #1038826)

  [ Simon McVittie ]
  * d/rules: Don't fail the build if a lint check fails (Closes: #1058550)
  * qemu, testdesc: Convert "# type:" comments into variable annotations.
    This avoids unused import warnings with current versions of pyflakes.

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Dec 2023 16:50:37 +0000

autopkgtest (5.31.1) unstable; urgency=medium

  * runner: fix architecture wildcard support broken in 30d5aa7
  * runner: fail badpkg in case no source was found like before 30d5aa7

 -- Paul Gevers <elbrus@debian.org>  Sun, 12 Nov 2023 21:35:20 +0100

autopkgtest (5.31) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * lib/autopkgtest_qemu.py: use -machine type=virt,gic-version=max when
    running natively on arm64 for kvm acceleration

  [ Tim Andersson ]
  * add ssh connect timeout to ssh-setup/nova
  * setup-testbed: Set apt error mode as any

  [ Paul Gevers ]
  * adt_testbed: factor out add-apt-sources
  * adt_testbed: factor out get-default-release
  * adt_testbed: factor out shell code to create sources.lists
  * Rewrite of source version selection in Python
  * create-sources.list-for-pocket: minor logical improvements
  * add-apt-sources: some checks of input arguments

  [ Jochen Sprickerhof ]
  * Update resolv.conf in unshare chroot

  [ Samuel Thibault ]
  * Fix hyphens in manpages

  [ Mateus Rodrigues de Morais ]
  * Add --cpus to buildvm-ubuntu-cloud tool

  [ Christian Kastner ]
  * qemu: Add option to poweroff gracefully

 -- Paul Gevers <elbrus@debian.org>  Mon, 06 Nov 2023 20:40:32 +0100

autopkgtest (5.30) unstable; urgency=medium

  [ Christian Kastner ]
  * Set umask while initializing DebBinaries, fixing permissions errors
    when running virt-podman with a restrictive umask (Closes: #1032487)

  [ Helmut Grohne ]
  * virt-qemu: Use a lock file to resolve a race condition when allocating
    a port for ssh
  * build-{qemu,lxc}, buildvm-ubuntu-cloud: Explicitly pass RELEASE to
    setup-testbed when known
  * build-qemu: Don't use ext4 features unsupported in the target release

  [ Jochen Sprickerhof ]
  * qemu: Better riscv64 support
    - Use -machine=virt on riscv64
    - Specify a riscv64-compatible network device for all architectures

  [ Stefano Rivera ]
  * build-lxd: Explicitly reuse aliases with lxd >= 5.14, which will no
    longer overwrite an existing alias by default

  [ Simon McVittie ]
  * d/README.source: Add a policy for autopkgtest dependencies:
    - Host system: aiming to support latest Debian stable or Ubuntu LTS,
      and the previous stable/LTS if it's straightforward to do so
    - Testbed: aiming to support Debian 8+ or Ubuntu 14.04+
  * testbed: Use sudo -n true instead of sudo -n -v to detect
    ability to run sudo without password, resulting in it being detected
    successfully in more cases
  * testbed: Move more environmental setup into wrapper.sh
  * testbed: Factor out Perl code to parse dependencies
  * setup-testbed:
    - Remove code that was only needed for Ubuntu 12.04 on armhf
    - Only auto-detect RELEASE, MIRROR when necessary
  * tests:
    - Add a convenience `make check` target
    - Fix a failing qemu test
    - Run more tests in CI and during package build
    - d/tests/lxd: Fix test failure by installing recommended dnsmasq-base
      package
    - d/tests/lxd: Use stable image, fixing testing while
      images.linuxcontainers.org doesn't provide an image for trixie yet
    - Remove stale reference to SchrootClickRunner tests, which were removed
      in mid 2022
    - CI: Use testing instead of unstable, to avoid temporary regressions
      such as #1042498
    - CI: Test the unshare backend on stable instead of unstable
    - CI: Run basic tests on Debian 11
  * Fix some shellcheck warnings

  [ Paride Legovini, Simon McVittie ]
  * testbed: Install satdep using apt-get install /path/to/*.deb if possible
    (apt >= 1.1, available in Debian 9+ or Ubuntu 16.04+), falling back to
    using dpkg --unpack and apt-get -f install as before for Debian 8 and
    Ubuntu 14.04

  [ Gioele Barabucci ]
  * lib/VirtSubproc: Use explicit paths for commands in downtmp,
    fixing testbed failure if the default shell is changed to busybox
    during testing

  [ Antonio Terceiro ]
  * Add --timeout option, which sets a global timeout for all commands
    that are controlled by the source package being tested


=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,
@@ -8,7 +7,7 @@
            Simon McVittie <smcv@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                fakeroot,
                procps,
@@ -26,6 +25,7 @@
 Architecture: all
 Depends: apt-utils,
          libdpkg-perl,
+         mawk (>= 1.3.4),
          procps,
          python3,
          python3-debian,
@@ -34,6 +34,8 @@
             fakeroot,
 Suggests: docker.io,
           fakemachine,
+          genisoimage,
+          incus,
           lxc (>= 1:4.0.2-1~),
           lxd,
           ovmf,

## autopkgtest 5.32ubuntu3~22.04.1

=== Makefile ===
--- 
+++ 
@@ -70,6 +70,9 @@
 
 all: $(htmlfiles)
 
+check:
+	./tests/run-parallel
+
 install:
 	$(INSTALL_DIRS) \
 		$(bindir) \
@@ -92,6 +95,7 @@
 	$(INSTALL_DATA) CREDITS $(docdir)
 	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
 	$(INSTALL_PROG) lib/in-testbed/*.sh $(datadir)/lib/in-testbed/
+	$(INSTALL_PROG) lib/parse-deps.pl $(datadir)/lib/
 	$(INSTALL_PROG) lib/unshare-helper $(datadir)/lib/
 	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
 	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
@@ -100,6 +104,10 @@
 	ln -fns autopkgtest-virt-docker.1 $(man1dir)/autopkgtest-virt-podman.1
 	ln -fns autopkgtest-build-docker $(bindir)/autopkgtest-build-podman
 	ln -fns autopkgtest-build-docker.1 $(man1dir)/autopkgtest-build-podman.1
+	ln -fns autopkgtest-virt-lxd $(bindir)/autopkgtest-virt-incus
+	ln -fns autopkgtest-virt-lxd.1 $(man1dir)/autopkgtest-virt-incus.1
+	ln -fns autopkgtest-build-lxd $(bindir)/autopkgtest-build-incus
+	ln -fns autopkgtest-build-lxd.1 $(man1dir)/autopkgtest-build-incus.1
 
 clean:
 	rm -f */*.pyc

=== debian/changelog ===
autopkgtest (5.32ubuntu3~22.04.1) jammy; urgency=medium

  * SRU to jammy (LP: #2051939)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Thu, 05 Feb 2024 11:59:21 +0100

autopkgtest (5.32ubuntu3) noble; urgency=medium

  * Remove .mypy_cache cruft from the previous upload
    Thanks: Alex Murray

 -- Paride Legovini <paride@ubuntu.com>  Fri, 02 Feb 2024 12:51:54 +0100

autopkgtest (5.32ubuntu2) noble; urgency=medium

  * Fix traceback in cross-arch testing (LP: #2051593)
  * Update cross-arch patchset from latest snapshot

 -- Paride Legovini <paride@ubuntu.com>  Fri, 02 Feb 2024 12:51:47 +0100

autopkgtest (5.32ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2049737)
    Remaining changes:
    - Add support for cross-architecture testing.

 -- Paride Legovini <paride@ubuntu.com>  Tue, 23 Jan 2024 12:00:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,

=== debian/tests/control ===
--- 
+++ 
@@ -63,6 +63,7 @@
          debhelper (>= 13),
          devscripts,
          distro-info,
+         dnsmasq-base | dnsmasq,
          fakeroot,
          iptables,
          lxd,
@@ -92,11 +93,13 @@
 # breaks-testbed is not strictly true, but declaring breaks-testbed
 # forces a new testbed to be used, which reduces the chance of running
 # out of disk space
+# Marked flaky because of bug 1059725.
 Restrictions: allow-stderr,
               breaks-testbed,
               isolation-machine,
               needs-internet,
               skippable,
+              flaky,
 
 # breaks-testbed is not strictly true, but we do make a change to
 # /etc/hosts without reverting it. Declaring breaks-testbed also forces a
@@ -111,7 +114,3 @@
          fakeroot,
          sbuild,
          schroot,
-Restrictions: allow-stderr,
-              breaks-testbed,
-              needs-internet,
-              needs-root,

## autopkgtest 5.32ubuntu3~23.10.1

=== debian/changelog ===
autopkgtest (5.32ubuntu3~23.10.1) mantic; urgency=medium

  * SRU to mantic (LP: #2051939)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Thu, 05 Feb 2024 11:59:21 +0100

## autopkgtest 5.34ubuntu2

=== Makefile ===
--- 
+++ 
@@ -110,5 +110,6 @@
 	ln -fns autopkgtest-build-lxd.1 $(man1dir)/autopkgtest-build-incus.1
 
 clean:
-	rm -f */*.pyc
+	rm -rf */__pycache__/
+	rm -rf .mypy_cache/
 	rm -f $(htmlfiles)

=== debian/changelog ===
autopkgtest (5.34ubuntu2) noble; urgency=medium

  [ Paride Legovini ]
  * d/t/unshare: skip test (exit 77) if simple unshare command fails
  * gitlab-ci: do not include the salsa pipeline

  [ Florent 'Skia' Jacquet ]
  * tools/a-b-lxd: make sure the reboot happens when needed

 -- Paride Legovini <paride@debian.org>  Wed, 17 Apr 2024 23:39:55 +0200

autopkgtest (5.34ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2060117).
    Remaining changes:
    - Add support for cross-architecture testing

 -- Paride Legovini <paride@debian.org>  Wed, 03 Apr 2024 13:43:50 +0200

autopkgtest (5.34) unstable; urgency=medium

  [ Victor Westerhuis ]
  * Let vmdb2 write /etc/fstab in autopkgtest-build-qemu

  [ Nick Rosbrook ]
  * add support for deb822 sources (LP: #2052639)

  [ Julian Andres Klode ]
  * ssh: Set ConnectionAttempts=20 in auxverb
  * lxd: Increase various timeouts

  [ Paride Legovini ]
  * install_apt: drop retry loop on AptDownloadError
  * build-dep: improve error handling
  * runner: rely on package versions to select which src package to download

  [ Paul Gevers ]
  * autopkgtest-build-lxc: repair proxy detection for lxc.network deprecation
    (Closes: #1067406)
  * autopkgtest-build-lxc*: add support to not have apt proxy autodetected
    (Closes: #933064)

  [ Antonio Terceiro ]
  * autopkgtest-virt-lxc: add option to choose container location

 -- Paride Legovini <paride@debian.org>  Wed, 03 Apr 2024 11:06:34 +0200

autopkgtest (5.33) unstable; urgency=medium

  [ Antonio Russo ]
  * virt-schroot: config, val splits on = exactly once

  [ Frode Nordahl ]
  * autopkgtest-build-lxd: Await boot before setup on VM build.
  * autopkgtest-build-lxd: Add remote support.

  [ Paul Gevers ]
  * autopkgtest-virt-lxc: remove ancient code path
  * tests: completely disable podman-init autopkgtest as it fails nasty

  [ Arnaud Rebillout ]
  * setup-testbed: Add non-free-firmware component for Debian and Debian-like

  [ Paride Legovini ]
  * On package build, use apt-get build-dep (if available on the testbed)
  * Assume that dpkg-query (which is Essential) is available
  * Makefile: fully clean package build artifacts
  * autopkgtest-build-lxd: fix unbound variable error
  * autopkgtest-buildvm-ubuntu-cloud: drop workaround for LP: #1427999
  * autopkgtest-buildvm-ubuntu-cloud: default to 2GB of RAM (LP: #1973628)
  * CI: include jobs from the salsa-ci-team Debian pipeline
  * CI: also run the NullRunner-like tests on the Ubuntu devel release
  * Add myself to Uploaders

  [ Christian Kastner ]
  * qemu: Don't attempt poweroff on uninitialized VM

  [ Florent 'Skia' Jacquet ]
  * d/t/unshare: make test runnable on Ubuntu
  * l/adtlog: fix deadlock when low on free space
  * tests: add a testcase for testbed deadlock when running low on free space

  [ Iain Lane ]
  * ssh-setup/nova: Use `openstack network show` in preference to `nova`

  [ Stefano Rivera ]
  * Document some more possible errors in summary (Closes: #1059881)

  [ Luca Boccassi ]
  * apt build-dep: use --env (Closes: #956931)

  [ Heinrich Schuchardt ]
  * qemu: use device-tree for booting riscv64 (LP: #2056764)
  * qemu: boot riscv64 via EFI (LP: #2056764)

 -- Paride Legovini <paride@debian.org>  Thu, 14 Mar 2024 12:18:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,
            Paul Gevers <elbrus@debian.org>,
-           Simon McVittie <smcv@debian.org>
+           Simon McVittie <smcv@debian.org>,
+           Paride Legovini <paride@debian.org>
 Section: devel
 Priority: optional
 Standards-Version: 4.6.2
@@ -44,6 +44,7 @@
           python3-distro-info,
           qemu-efi-aarch64,
           qemu-efi-arm,
+          qemu-efi-riscv64,
           qemu-system,
           qemu-utils,
           podman,

=== debian/rules ===
#!/usr/bin/make -f
#
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

include /usr/share/dpkg/pkg-info.mk

%:
	dh "$@"

override_dh_auto_install:
	dh_auto_install

	# put our package version into the code for logging
	sed -i 's/@version@/$(DEB_VERSION)/' debian/autopkgtest/usr/share/autopkgtest/lib/adt_testbed.py

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	tests/pyflakes || true
	tests/mypy || true
	tests/pycodestyle || true
	tests/qemu
	tests/shellcheck || true
	tests/testdesc
	tests/autopkgtest_args
	env NO_PKG_MANGLE=1 tests/autopkgtest NullRunner
endif

=== debian/tests/control ===
--- 
+++ 
@@ -75,7 +75,11 @@
               skip-not-installable,
               skippable,
 
-Tests: podman podman-init
+# Disabled podman-init as of 2024-02-08 because the test fails to start
+# properly, but fails with a timeout as tmpfail (so gets tried over and over
+# and over again) see bug 1059725
+#Tests: podman podman-init
+Tests: podman
 Depends: autodep8,
          autopkgtest,
          build-essential,
@@ -93,7 +97,7 @@
 # breaks-testbed is not strictly true, but declaring breaks-testbed
 # forces a new testbed to be used, which reduces the chance of running
 # out of disk space
-# Marked flaky because of bug 1059725.
+# Marked flaky because of bug 1059725 (which was only meant for podman-init)
 Restrictions: allow-stderr,
               breaks-testbed,
               isolation-machine,
@@ -103,14 +107,3 @@
 
 # breaks-testbed is not strictly true, but we do make a change to
 # /etc/hosts without reverting it. Declaring breaks-testbed also forces a
-# new testbed to be used, as above
-Tests: schroot
-Depends: autodep8,
-         autopkgtest,
-         build-essential,
-         debhelper (>= 13),
-         debootstrap,
-         devscripts,
-         fakeroot,
-         sbuild,
-         schroot,

=== tests/testpkg/debian/control ===
Source: testpkg
Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>, Üñïcøδ€ <unicode@example.com>
Section: oldlibs
Priority: optional
Standards-Version: 4.0.1
Build-Depends: debhelper-compat (= 13)

Package: testpkg
Architecture: all
Depends: ${misc:Depends}
Recommends: apt-doc
Description: test package
 Test package, do not install.

## autopkgtest 5.35~bpo12+1

=== debian/changelog ===
autopkgtest (5.35~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Paul Gevers <elbrus@debian.org>  Sun, 12 May 2024 11:47:27 +0200

autopkgtest (5.35) unstable; urgency=medium

  [ Christian Kastner ]
  * qemu: Drop ifupdown from image creation

  [ Florent 'Skia' Jacquet ]
  * tools/a-b-lxd: make sure the reboot happens when needed
  * ssh-setup/nova: explicitely set 'fqdn' in cloud-init

  [ Paride Legovini ]
  * install_apt: drop broken debugging stage
  * find_source_version_to_download: do not consider udebs
  * Resolve and install test dependencies using apt-get satisfy
  * d/control: bump Build-Depends: python3 to >= 3.8
  * d/control: bump versioned Suggests: vmdb2 to >= 0.25-1.
    Thanks to Christian Kastner
  * d/control: drop build-dependency on python3-mock (Closes: #1060447)
  * d/control: make Build-Depends required by tests <!nocheck>
  * tests: add pre-commit-config and yamllint configuration
  * tests: unshare: skip test (exit 77) if simple unshare command fails
  * tests: unshare: skip test if kernel.apparmor_restrict_unprivileged_userns=1
  * tests: docker: make the docker daemon inherit the proxy settings
  * tests: schroot: use default value (DIRECT) for $https_proxy
  * tests: when dpkg-vendor is Ubuntu, test on Ubuntu containers
  * tests: make the lxd test work on Ubuntu
  * Assume that if root-on-testbed then we can use apt (Closes: #1042971)
  * autopkgtest-build-lx*: fix shellcheck warnings and check in pre-commit
  * ssh-setup/nova: fix shellcheck warnings and check in pre-commit

  [ Frode Nordahl ]
  * autopkgtest-build-lxd: Extract lxc client version correctly.
  * autopkgtest-build-lxd: Add missing remote prefix in get_boot_id().

  [ Paul Gevers ]
  * runner/autopkgtest: virt-ssh gets confused by newlines in create_command
  * tests: skip test_copy_timeout (Addresses: #1068363)

  [ Luca Boccassi ]
  * lxc: define /tmp mount via lxc-start

 -- Paul Gevers <elbrus@debian.org>  Sun, 12 May 2024 09:27:10 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
 Priority: optional
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
-               fakeroot,
-               procps,
-               pycodestyle | pep8,
-               pyflakes3,
-               python3 (>= 3.3),
-               python3-debian,
+               fakeroot <!nocheck>,
+               pre-commit <!nocheck>,
+               procps <!nocheck>,
+               pycodestyle | pep8 <!nocheck>,
+               pyflakes3 <!nocheck>,
+               python3 (>= 3.8),
+               python3-debian <!nocheck>,
                python3-docutils,
-               python3-mock
+               shellcheck <!nocheck>,
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest
@@ -50,7 +51,7 @@
           podman,
           schroot,
           util-linux (>= 2.38),
-          vmdb2 (>= 0.22-1~),
+          vmdb2 (>= 0.25-1~),
           zerofree
 Breaks: debci (<< 1.7~)
 Description: automatic as-installed testing for Debian packages

=== debian/rules ===
--- 
+++ 
@@ -35,11 +35,11 @@
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	pre-commit run --all-files --show-diff-on-failure shellcheck || true
 	tests/pyflakes || true
 	tests/mypy || true
 	tests/pycodestyle || true
 	tests/qemu
-	tests/shellcheck || true
 	tests/testdesc
 	tests/autopkgtest_args
 	env NO_PKG_MANGLE=1 tests/autopkgtest NullRunner

=== debian/tests/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
          debhelper (>= 13),
          debootstrap,
          devscripts,
+         distro-info,
          docker.io,
          python3-distro-info,
          uidmap,
@@ -30,7 +31,7 @@
               needs-root,
               skippable,
 
-Tests: lxc
+Tests: lxc, lxc-old-testbed
 Depends: autodep8,
          autopkgtest,
          build-essential,
@@ -66,7 +67,7 @@
          dnsmasq-base | dnsmasq,
          fakeroot,
          iptables,
-         lxd,
+         lxd | lxd-installer,
 Restrictions: allow-stderr,
               breaks-testbed,
               isolation-machine,
@@ -89,6 +90,8 @@
          debhelper (>= 13),
          debootstrap,
          devscripts,
+         distro-info,
+         fakeroot,
          golang-github-containernetworking-plugin-dnsname,
          podman,
          python3-distro-info,
@@ -106,4 +109,3 @@
               flaky,
 
 # breaks-testbed is not strictly true, but we do make a change to
-# /etc/hosts without reverting it. Declaring breaks-testbed also forces a

## autopkgtest 5.37ubuntu2~22.04.1

=== debian/changelog ===
autopkgtest (5.37ubuntu2~22.04.1) jammy; urgency=medium

  * SRU to Jammy (LP: #2071609)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Thu, 04 Jul 2024 15:33:18 +0200

autopkgtest (5.37ubuntu2) oracular; urgency=medium

  * New delta, all upstream cherry-picks:
    - t/autopkgtest-build-docker: use ports.ubuntu.com on non-amd64 Ubuntu
    - t/autopkgtest: test_git_source_build: skip if remote repo is unreachable
    - d/t/lxd: restrict architectures via Architecture and enable arm64
    - d/rules: don't run pre-commit at package build time

 -- Paride Legovini <paride@ubuntu.com>  Wed, 26 Jun 2024 13:16:53 +0200

autopkgtest (5.37ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add support for foreign architecture testing

 -- Paride Legovini <paride@ubuntu.com>  Tue, 25 Jun 2024 18:10:50 +0200

autopkgtest (5.37) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Avoid empty string for apt satisfy

 -- Paride Legovini <paride@debian.org>  Mon, 24 Jun 2024 10:01:03 +0200

autopkgtest (5.36) unstable; urgency=medium

  [ Paul Gevers ]
  * Fix typo in the changelog

  [ Paride Legovini ]
  * Changes in source package selection:
    - Truly honor pinning when looking for the source package to download
    - find_source_version_to_download: always check the src package name
      (LP #2066290)
  * Changes in test depependencies resolution:
    - Drop redundant dependency parsing via perl Dpkg::Deps
    - Leave dependency parsing to apt when possible
  * virt-lxc: cleanup: force destroy container without stopping it
  * build-needed: build with DEB_BUILD_PROFILES=nocheck
  * setup-testbed: prevent /tmp from getting a tmpfs mount (LP: #2069834)
  * tools/a-b-ubuntu-cloud: stick with the default locale
  * tools/a-b-ubuntu-cloud: move away from deprecated cloud-init keys
  * t/autopkgtest: move the SchrootRunner tests under LxcRunner
  * t/autopkgtest: make test_apt_pocket_disjoint_binaries cover more cases
  * tests: build packages with gzip compression for trusty compatibility
  * d/t/lxd: update URL for images: remote on old LXD
  * d/t/lxd: run tests on a Debian testing testbed

  [ Florent 'Skia' Jacquet ]
  * setup-testbed: don't install 'Recommends' for 'linux-generic'
  * t/a-buildvm-ubuntu-cloud: use minimal image where possible

  [ Christian Kastner ]
  * autopkgtest-virt-qemu: Fix command prompt waiting (Closes: #1071533)
  * qemu: Drop ifupdown from image creation
    It's already installed during debootstrapping, if necessary.
  * setup-testbed: Add support for netplan.io networking
    (Closes: #960729) (LP #2060187)

  [ Evgeni Golov ]
  * assume remote docker when running inside docker

  [ Agathe Porte ]
  * qemu: fix warning: short-form boolean option 'readonly' deprecated
    (Closes: #1073930) (LP #2069957)

 -- Paride Legovini <paride@debian.org>  Fri, 21 Jun 2024 14:28:38 +0200

## autopkgtest 5.37ubuntu2~24.04.1

=== debian/changelog ===
autopkgtest (5.37ubuntu2~24.04.1) noble; urgency=medium

  * SRU to Noble (LP: #2071609)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Thu, 04 Jul 2024 15:33:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,
@@ -11,14 +12,12 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                fakeroot <!nocheck>,
-               pre-commit <!nocheck>,
                procps <!nocheck>,
                pycodestyle | pep8 <!nocheck>,
                pyflakes3 <!nocheck>,
                python3 (>= 3.8),
                python3-debian <!nocheck>,
                python3-docutils,
-               shellcheck <!nocheck>,
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest

=== debian/tests/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
          devscripts,
          distro-info,
          fakeroot,
+         iproute2,
          libpam-cgfs,
          lxc,
          lxcfs,
@@ -57,6 +58,7 @@
 # TODO: Run this with needs-sudo instead of needs-root to check that
 # virt-lxd --sudo hasn't regressed?
 Tests: lxd
+Architecture: amd64 arm64
 Depends: adduser,
          autodep8,
          autopkgtest,
@@ -108,4 +110,3 @@
               skippable,
               flaky,
 
-# breaks-testbed is not strictly true, but we do make a change to

## autopkgtest 5.37ubuntu3

=== debian/changelog ===
autopkgtest (5.37ubuntu3) oracular; urgency=medium

  [ Paride Legovini ]
  * VirtSubproc wait_booted(): ignore timeouts within the retry loop
  * d/tests: always use annotate-output to disambiguate test output

  [ Florent 'Skia' Jacquet ]
  * t/a-buildvm-ubuntu-cloud: install 'ubuntu-minimal' and autoremove extra packages

 -- Paride Legovini <paride@ubuntu.com>  Thu, 11 Jul 2024 13:22:23 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
          autopkgtest,
          build-essential,
          debhelper (>= 13),
+         devscripts,
          fakeroot,
 Restrictions: needs-sudo
 
 Tests: installed
-Depends: autopkgtest
+Depends: devscripts,
+         autopkgtest,
 
 Tests: docker
 Depends: autodep8,
@@ -108,5 +110,3 @@
               isolation-machine,
               needs-internet,
               skippable,
-              flaky,
-

## autopkgtest 5.38~bpo12+1

=== debian/changelog ===
autopkgtest (5.38~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Paul Gevers <elbrus@debian.org>  Sat, 10 Aug 2024 11:35:57 +0200

autopkgtest (5.38) unstable; urgency=medium

  [ Paride Legovini ]
  * t/autopkgtest-build-docker: use ports.ubuntu.com on non-amd64 Ubuntu
  * t/autopkgtest: test_git_source_build: skip if remote repo is unreachable
  * d/t/unshare: add skip-not-installable restriction
  * d/t/lxd: restrict architectures via Architecture and enable arm64
  * d/tests: always use annotate-output to disambiguate test output
  * VirtSubproc wait_booted(): ignore timeouts within the retry loop
  * t/autopkgtest: LxcRunner: get the testbed apt version via lxc-execute
  * tests/autopkgtest: better handling of testbed_apt_version
  * r/autopktest: get_max_priority_from_policy support any priority
  * await-boot.sh: use systemd better and use script in a-build-lxc/lxd.
    Thanks to Luca Boccassi

  [ Colin Watson ]
  * Maintain container and VM Incus images in parallel

  [ Florent 'Skia' Jacquet ]
  * nova: allow more retries for quota issues
  * t/a-buildvm-ubuntu-cloud: install 'ubuntu-minimal' and autoremove extra packages
  * t/autopkgtest-buildvm-ubuntu-cloud: make sure installing packages never prompts

  [ Paul Gevers ]
  * Revert "tests: completely disable podman-init autopkgtest as it fails nasty"
  * create-normal-user: redirect stderr to stdout for adduser/useradd

  [ Simon McVittie ]
  * autopkgtest-build-docker: Avoid repeated localhost/ when using podman
  * autopkgtest-build-docker: Allow importing a pre-prepared minbase

 -- Paul Gevers <elbrus@debian.org>  Sat, 03 Aug 2024 20:43:22 +0200

=== debian/control ===
Source: autopkgtest
Maintainer: Debian CI team <team+ci@tracker.debian.org>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Martin Pitt <mpitt@debian.org>,
 Antonio Terceiro <terceiro@debian.org>,
 Paul Gevers <elbrus@debian.org>,
 Simon McVittie <smcv@debian.org>,
 Paride Legovini <paride@debian.org>,
Section: devel
Priority: optional
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 fakeroot <!nocheck>,
 procps <!nocheck>,
 pycodestyle | pep8 <!nocheck>,
 pyflakes3 <!nocheck>,
 python3 (>= 3.8),
 python3-debian <!nocheck>,
 python3-docutils,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest

Package: autopkgtest
Architecture: all
Depends:
 apt-utils,
 libdpkg-perl,
 mawk (>= 1.3.4),
 procps,
 python3,
 python3-debian,
 retry,
 ${misc:Depends},
Recommends:
 autodep8,
 fakeroot,
Suggests:
 docker.io,
 fakemachine,
 genisoimage,
 incus,
 lxc (>= 1:4.0.2-1~),
 lxd,
 ovmf,
 ovmf-ia32,
 podman,
 python3-distro-info,
 qemu-efi-aarch64,
 qemu-efi-arm,
 qemu-efi-riscv64,
 qemu-system,
 qemu-utils,
 schroot,
 util-linux (>= 2.38),
 vmdb2 (>= 0.25-1~),
 zerofree,
Breaks:
 debci (<< 1.7~),
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.
 .
 See autopkgtest(1) and /usr/share/doc/autopkgtest.
 Depending on which virtualization server you want to use, you need to
 install additional packages (schroot, lxc, lxd, or qemu-system)
 .
 For generating tests of well-known source packages such as Perl and Ruby
 libraries you should install the autodep8 package.

## autopkgtest 5.38ubuntu1~22.04.1

=== debian/changelog ===
autopkgtest (5.38ubuntu1~22.04.1) jammy; urgency=medium

  * SRU to Jammy (LP: #2071609)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 11 Oct 2024 12:38:02 +0100

autopkgtest (5.38ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add support for foreign architecture testing
    - virt-qemu: Work around #1072004 in 9pfs.
      (Cherry-pick of upstream commit 32292c7c, LP: #2056461)

 -- Paride Legovini <paride@ubuntu.com>  Mon, 05 Aug 2024 17:53:34 +0200

## autopkgtest 5.38ubuntu1~24.04.1

=== debian/changelog ===
autopkgtest (5.38ubuntu1~24.04.1) noble; urgency=medium

  * SRU to Noble (LP: #2071609)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 11 Oct 2024 12:38:02 +0100

## autopkgtest 5.38ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders:
  Ian Jackson <ijackson@chiark.greenend.org.uk>,
  Martin Pitt <mpitt@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,6 @@
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pre-commit run --all-files --show-diff-on-failure shellcheck || true
 	tests/pyflakes || true
 	tests/mypy || true
 	tests/pycodestyle || true

=== debian/tests/control ===
Tests:
 autopkgtest,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 debhelper (>= 13),
 devscripts,
 fakeroot,
Restrictions:
 needs-sudo,

Tests:
 installed,
Depends:
 autopkgtest,
 devscripts,

Tests:
 docker,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 ca-certificates,
 debhelper (>= 13),
 debootstrap,
 devscripts,
 distro-info,
 docker.io,
 python3-distro-info,
 uidmap,
# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used, which reduces the chance of running
# out of disk space
Restrictions:
 allow-stderr,
 breaks-testbed,
 isolation-machine,
 needs-internet,
 needs-root,
 skippable,

Tests:
 lxc,
 lxc-old-testbed,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 ca-certificates,
 debhelper (>= 13),
 debootstrap,
 devscripts,
 distro-info,
 fakeroot,
 iproute2,
 libpam-cgfs,
 lxc,
 lxc-templates,
 lxcfs,
 rsync,
 uidmap,
Restrictions:
 allow-stderr,
 breaks-testbed,
 isolation-machine,
 needs-internet,
 needs-sudo,
 skippable,

# TODO: Run this with needs-sudo instead of needs-root to check that
# virt-lxd --sudo hasn't regressed?
Tests:
 lxd,
Architecture: amd64 arm64
Depends:
 adduser,
 autodep8,
 autopkgtest,
 build-essential,
 debhelper (>= 13),
 devscripts,
 distro-info,
 dnsmasq-base | dnsmasq,
 fakeroot,
 iptables,
 lxd | lxd-installer,
Restrictions:
 allow-stderr,
 breaks-testbed,
 isolation-machine,
 needs-internet,
 needs-root,
 skip-not-installable,
 skippable,

Tests:
 podman,
 podman-init,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 buildah,
 ca-certificates,
 catatonit | tini | dumb-init,
 debhelper (>= 13),
 debootstrap,
 devscripts,
 distro-info,
 fakeroot,
 golang-github-containernetworking-plugin-dnsname,
 podman,
 python3-distro-info,
 slirp4netns,
 uidmap,
# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used, which reduces the chance of running
# out of disk space
# Marked flaky because of bug 1059725
Restrictions:
 allow-stderr,
 breaks-testbed,
 flaky,
 isolation-machine,
 needs-internet,
 skippable,

# breaks-testbed is not strictly true, but we do make a change to
# /etc/hosts without reverting it. Declaring breaks-testbed also forces a
# new testbed to be used, as above
Tests:
 schroot,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 debhelper (>= 13),
 debootstrap,
 devscripts,
 fakeroot,
 sbuild,
 schroot,
Restrictions:
 allow-stderr,
 breaks-testbed,
 needs-internet,
 needs-root,
 skippable,

# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used
Tests:
 unshare,
Depends:
 autodep8,
 autopkgtest,
 build-essential,
 debhelper (>= 13),
 debian-archive-keyring,
 devscripts,
 mmdebstrap,
 uidmap,
 util-linux (>= 2.38),
Restrictions:
 allow-stderr,
 breaks-testbed,
 isolation-machine,
 needs-internet,
 skip-not-installable,
 skippable,
